Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w04_01.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w04_01.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w04_01.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2,3,4,5">
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
 
   <write_bloc id="0,1,2,3,4,5">
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="16" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="4" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -129,4 +138,5 @@
     <parameter name="size_re_order_buffer"                  value="128"/>
     <parameter name="nb_re_order_buffer_bank"               value="16" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -137,6 +147,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -217,41 +227,12 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.0" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.1" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.3" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
-
+
+
+
+
+
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
@@ -285,10 +266,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="5.4"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w08_01.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w08_01.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w08_01.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2,3,4,5,6,7,8,9,10,11,12" >                                 
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="8" />
@@ -44,4 +45,5 @@
 
   <write_bloc id="0,1,2,3,4,5,6,7,8,9,10,11,12" >
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="8" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -133,4 +142,5 @@
     <parameter name="size_re_order_buffer"                  value="256"/>
     <parameter name="nb_re_order_buffer_bank"               value="64" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -141,6 +151,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -244,159 +254,20 @@
   <link name="link_dcache_port_with_load_store_unit"   src="3.0"   dest="3"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.0" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.1" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.2" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.3" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.4" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.5" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.6" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.6" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.7" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.7" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.8" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.8" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.9" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.9" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.4.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.5.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.6.10" dest="1"   />
-  <link name="table_dispatch"                          src="0.7.10" dest="1"   />
+
+
+
+
+
+
+
+
+
+
                         
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="6.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="7.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="8.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="9.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="10.0"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="11.0"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="12.0"  dest="0"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.1"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="6.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="7.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="8.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="9.1"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="10.1"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="11.1"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="12.1"  dest="0"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.2"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="6.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="7.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="8.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="9.2"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="10.2"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="11.2"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="12.2"  dest="0"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.3"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="6.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="7.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="8.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="9.3"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="10.3"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="11.3"  dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="12.3"  dest="0"   />
-
+
+
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
@@ -567,51 +438,8 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="12.11"  dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="6.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="7.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="8.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="9.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="10.0"  dest="0"   />
-
-  <link name="link_write_bloc_and_load_store_unit"     src="0.1"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="6.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="7.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="8.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="9.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="10.1"  dest="0"   />
-
-  <link name="link_write_bloc_and_load_store_unit"     src="0.2"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="6.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="7.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="8.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="9.2"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="10.2"  dest="0"   />
-
-  <link name="link_write_bloc_and_load_store_unit"     src="0.3"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="6.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="7.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="8.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="9.3"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="10.3"  dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
+
+
+
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
